CREATE TABLE fos_agreement_definition_tl (
    AGREEMENT_ID             NUMBER(18, 0) ,
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    LANGUAGE                 VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    DESCRIPTION              VARCHAR2(960) ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    AGREEMENT_ID             NUMBER(18, 0) ,
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    LANGUAGE                 VARCHAR2(16)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    DESCRIPTION              VARCHAR2(960) ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fos_agreement_definition_tl PRIMARY KEY (AGREEMENT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, LANGUAGE, AGREEMENT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, LANGUAGE)
);
